# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'obserware/assets/uifiles/lgptwind.ui'
#
# Created by: PyQt5 UI code generator 5.15.6
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_lgptwind(object):
    def setupUi(self, lgptwind):
        lgptwind.setObjectName("lgptwind")
        lgptwind.resize(480, 400)
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(lgptwind.sizePolicy().hasHeightForWidth())
        lgptwind.setSizePolicy(sizePolicy)
        lgptwind.setMinimumSize(QtCore.QSize(480, 400))
        lgptwind.setMaximumSize(QtCore.QSize(480, 400))
        self.lgptqant = QtWidgets.QLabel(lgptwind)
        self.lgptqant.setGeometry(QtCore.QRect(245, 5, 230, 20))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.lgptqant.sizePolicy().hasHeightForWidth())
        self.lgptqant.setSizePolicy(sizePolicy)
        self.lgptqant.setMinimumSize(QtCore.QSize(230, 20))
        self.lgptqant.setMaximumSize(QtCore.QSize(230, 20))
        self.lgptqant.setStyleSheet('font: 15pt "JetBrains Mono";')
        self.lgptqant.setAlignment(
            QtCore.Qt.AlignRight | QtCore.Qt.AlignTrailing | QtCore.Qt.AlignVCenter
        )
        self.lgptqant.setObjectName("lgptqant")
        self.lgptlabl = QtWidgets.QLabel(lgptwind)
        self.lgptlabl.setGeometry(QtCore.QRect(5, 5, 230, 20))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.lgptlabl.sizePolicy().hasHeightForWidth())
        self.lgptlabl.setSizePolicy(sizePolicy)
        self.lgptlabl.setMinimumSize(QtCore.QSize(230, 20))
        self.lgptlabl.setMaximumSize(QtCore.QSize(230, 20))
        self.lgptlabl.setStyleSheet('font: 15pt "JetBrains Mono";')
        self.lgptlabl.setObjectName("lgptlabl")
        self.lgptline = QtWidgets.QFrame(lgptwind)
        self.lgptline.setGeometry(QtCore.QRect(5, 30, 470, 1))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.lgptline.sizePolicy().hasHeightForWidth())
        self.lgptline.setSizePolicy(sizePolicy)
        self.lgptline.setMinimumSize(QtCore.QSize(470, 1))
        self.lgptline.setMaximumSize(QtCore.QSize(470, 1))
        self.lgptline.setStyleSheet("border: 1px solid #808080;")
        self.lgptline.setFrameShape(QtWidgets.QFrame.HLine)
        self.lgptline.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.lgptline.setObjectName("lgptline")
        self.lgptlist = QtWidgets.QListWidget(lgptwind)
        self.lgptlist.setEnabled(True)
        self.lgptlist.setGeometry(QtCore.QRect(5, 35, 470, 360))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.lgptlist.sizePolicy().hasHeightForWidth())
        self.lgptlist.setSizePolicy(sizePolicy)
        self.lgptlist.setMinimumSize(QtCore.QSize(470, 360))
        self.lgptlist.setMaximumSize(QtCore.QSize(470, 360))
        self.lgptlist.setFocusPolicy(QtCore.Qt.NoFocus)
        self.lgptlist.setEditTriggers(QtWidgets.QAbstractItemView.NoEditTriggers)
        self.lgptlist.setAlternatingRowColors(False)
        self.lgptlist.setObjectName("lgptlist")

        self.retranslateUi(lgptwind)
        QtCore.QMetaObject.connectSlotsByName(lgptwind)

    def retranslateUi(self, lgptwind):
        _translate = QtCore.QCoreApplication.translate
        lgptwind.setWindowTitle(_translate("lgptwind", "Dialog"))
        self.lgptqant.setText(_translate("lgptwind", "0 unit(s)"))
        self.lgptlabl.setText(_translate("lgptwind", "Logical Partitions"))
